#### D.6.14.5 StabEqnId

Procedure from library `qhmoduli.lib` (see qhmoduli_lib).

Usage:
  StabEqn(I, w); I ideal, w intvec

Purpose:
  compute the equations of the isometry group of the ideal I, each generator of I is fixed by the stabilizer.

Assume:
  I semiquasihomogeneous ideal w.r.t. 'w' with an isolated singularity at 0

Return:
  list of two rings 'S1', 'S2'
  - 'S1' contians the equations of the stabilizer (ideal 'stabid')
  - 'S2' contains the action of the stabilizer (ideal 'actionid')

Global:
  varSubsList, contains the index j s.t. t(i) -> t(i)t(j) ...

Example:

    LIB "qhmoduli.lib";
    ring B   = 0,(x,y,z), ls;
    ideal I = x2,y3,z6;
    intvec w = 3,2,1;
    list stab = StabEqnId(I, w);
    def S1 = stab[1]; setring S1;  stabid;
    ==> stabid[1]=s(1)^2-1
    ==> stabid[2]=s(2)^3-1
    ==> stabid[3]=s(3)^6-1
    def S2 = stab[2]; setring S2;  actionid;
    ==> actionid[1]=s(1)*x
    ==> actionid[2]=s(2)*y
    ==> actionid[3]=s(3)*z

User manual for Singular version 4-0-3, 2016, generated by texi2html.